import { IgrDashboardTileSummaryDescription } from "./igr-dashboard-tile-summary-description";
import { DashboardTileSummaryDescriptionCollection as DashboardTileSummaryDescriptionCollection_internal } from "./DashboardTileSummaryDescriptionCollection";
import { ensureBool } from "igniteui-react-core";
var IgrDashboardTileSummaryDescriptionCollection = /** @class */ /*@__PURE__*/ (function () {
    function IgrDashboardTileSummaryDescriptionCollection() {
        this.mounted = false;
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgrDashboardTileSummaryDescriptionCollection.prototype.createImplementation = function () {
        return new DashboardTileSummaryDescriptionCollection_internal();
    };
    Object.defineProperty(IgrDashboardTileSummaryDescriptionCollection.prototype, "nativeElement", {
        get: function () {
            return this._implementation.nativeElement;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgrDashboardTileSummaryDescriptionCollection.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgrDashboardTileSummaryDescriptionCollection.prototype.onImplementationCreated = function () {
    };
    IgrDashboardTileSummaryDescriptionCollection.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgrDashboardTileSummaryDescriptionCollection.prototype, "shouldDetachOnTargetChange", {
        /**
         * Gets or sets whether this collection should detach the sync when the target collection changes.
        */
        get: function () {
            return this.i.i;
        },
        set: function (v) {
            this.i.i = ensureBool(v);
        },
        enumerable: false,
        configurable: true
    });
    IgrDashboardTileSummaryDescriptionCollection.prototype.findByName = function (name) {
        if (this.findEphemera) {
            if (name && name.indexOf("@@e:") == 0) {
                return this.findEphemera(name);
            }
        }
        return null;
    };
    IgrDashboardTileSummaryDescriptionCollection.prototype.add = function (item) {
        var iv = this.i.g((item == null ? null : item.i));
        return (iv);
    };
    IgrDashboardTileSummaryDescriptionCollection.prototype.insert = function (index, item) {
        this.i.p(index, (item == null ? null : item.i));
    };
    IgrDashboardTileSummaryDescriptionCollection.prototype.clear = function () {
        this.i.o();
    };
    IgrDashboardTileSummaryDescriptionCollection.prototype.indexOf = function (item) {
        var iv = this.i.k((item == null ? null : item.i));
        return (iv);
    };
    IgrDashboardTileSummaryDescriptionCollection.prototype.remove = function (item) {
        var iv = this.i.h((item == null ? null : item.i));
        return (iv);
    };
    IgrDashboardTileSummaryDescriptionCollection.prototype.removeAt = function (index) {
        var iv = this.i.b(index);
        var ret = null;
        if (iv && iv.externalObject) {
            ret = iv.externalObject;
        }
        else {
            if (iv) {
                var e = new IgrDashboardTileSummaryDescription();
                e._implementation = iv;
                iv.externalObject = e;
                ret = e;
            }
        }
        return ret;
    };
    return IgrDashboardTileSummaryDescriptionCollection;
}());
export { IgrDashboardTileSummaryDescriptionCollection };
