import { DashboardTileFilterStringErrorsParsingEventArgs as DashboardTileFilterStringErrorsParsingEventArgs_internal } from "./DashboardTileFilterStringErrorsParsingEventArgs";
import { ContentChildrenManager } from "igniteui-react-core";
/**
 * Represents event arguments for when there are errors parsing the filter string
*/
export declare class IgrDashboardTileFilterStringErrorsParsingEventArgs {
    protected createImplementation(): DashboardTileFilterStringErrorsParsingEventArgs_internal;
    protected _implementation: any;
    protected mounted: boolean;
    get nativeElement(): HTMLElement;
    /**
     * @hidden
     */
    get i(): DashboardTileFilterStringErrorsParsingEventArgs_internal;
    protected onImplementationCreated(): void;
    protected _contentChildrenManager: ContentChildrenManager;
    constructor();
    protected _provideImplementation(i: any): void;
    get propertyName(): string;
    set propertyName(v: string);
    /**
     * Gets the errors from parsing the filter string.
    */
    get errors(): string;
    set errors(v: string);
}
