# Ignite UI for React Dashboards - from Infragistics

[Ignite UI for React](https://www.infragistics.com/products/ignite-ui-react) includes a wide range of easy to use React UI components that have been designed and optimized for high-performance, high-volume data scenarios. Ignite UI for React is designed to enable developers to build the most modern, high-performance HTML5 & JavaScript apps for modern desktop browsers, mobile experiences and progressive web apps (PWA’s) targeting the React framework.

This package provides the layout components for Ignite UI for React such as [DashboardTile](https://www.infragistics.com/products/ignite-ui-react/react/components/components/dashboards/dashboardtile) component.

## NPM Package

You can include Ignite UI for React Dashboards in your project using this `npm` command:

`npm install --save igniteui-react-dashboards igniteui-react-core igniteui-react-charts igniteui-react-layouts igniteui-react-grids igniteui-react-maps igniteui-react-gauges igniteui-react-inputs`

## License
This is a commercial product, requiring a valid paid-for license for use. This license details can by found [here](http://www.infragistics.com/legal/ultimate/license/)

To acquire a license for usage, please register for a trial and acquire a license at [Infragistics.com](https://www.infragistics.com).

© Copyright 2023 Infragistics. All Rights Reserved. The Infragistics Ultimate license & copyright applies to this distribution. For information on that license, please go to our website [here](https://www.infragistics.com/legal/license).
