import * as React from 'react';
import { DashboardTileCustomization } from "./DashboardTileCustomization";
import { ContentChildrenManager } from "igniteui-react-core";
export declare class IgrDashboardTileCustomization<P extends IIgrDashboardTileCustomizationProps = IIgrDashboardTileCustomizationProps> extends React.Component<P, {}> {
    protected createImplementation(): DashboardTileCustomization;
    protected _implementation: any;
    protected mounted: boolean;
    get nativeElement(): HTMLElement;
    /**
     * @hidden
     */
    get i(): DashboardTileCustomization; /**
                                 * @hidden
                                 */
    static _createFromInternal(internal: any): IgrDashboardTileCustomization;
    protected onImplementationCreated(): void;
    protected _contentChildrenManager: ContentChildrenManager;
    constructor(props: P);
    componentDidMount(): void;
    shouldComponentUpdate(nextProps: any, nextState: any): boolean;
    render(): any;
    get matchType(): string;
    set matchType(v: string);
    get propertyName(): string;
    set propertyName(v: string);
    get propertyValue(): any;
    set propertyValue(v: any);
    get isCollectionInsertionAtEnd(): boolean;
    set isCollectionInsertionAtEnd(v: boolean);
    get isCollectionInsertionAtStart(): boolean;
    set isCollectionInsertionAtStart(v: boolean);
    get isCollectionInsertionAtIndex(): boolean;
    set isCollectionInsertionAtIndex(v: boolean);
    get isCollectionRemovaltIndex(): boolean;
    set isCollectionRemovaltIndex(v: boolean);
    get collectionIndex(): number;
    set collectionIndex(v: number);
    get order(): number;
    set order(v: number);
    get matchParentIndex(): number;
    set matchParentIndex(v: number);
    findByName(name: string): any;
    protected __p: string;
    protected _hasUserValues: Set<string>;
    protected get hasUserValues(): Set<string>;
    protected __m(propertyName: string): void;
    protected _stylingContainer: any;
    protected _stylingParent: any;
    protected _inStyling: boolean;
    protected _styling(container: any, component: any, parent?: any): void;
}
export interface IIgrDashboardTileCustomizationProps {
    children?: React.ReactNode;
    matchType?: string;
    propertyName?: string;
    propertyValue?: any;
    isCollectionInsertionAtEnd?: boolean | string;
    isCollectionInsertionAtStart?: boolean | string;
    isCollectionInsertionAtIndex?: boolean | string;
    isCollectionRemovaltIndex?: boolean | string;
    collectionIndex?: number | string;
    order?: number | string;
    matchParentIndex?: number | string;
}
