import { IgrDashboardTileSummaryDescription } from "./igr-dashboard-tile-summary-description";
import { DashboardTileSummaryDescriptionCollection as DashboardTileSummaryDescriptionCollection_internal } from "./DashboardTileSummaryDescriptionCollection";
import { ContentChildrenManager } from "igniteui-react-core";
export declare class IgrDashboardTileSummaryDescriptionCollection {
    protected createImplementation(): DashboardTileSummaryDescriptionCollection_internal;
    protected _implementation: any;
    protected mounted: boolean;
    get nativeElement(): HTMLElement;
    /**
     * @hidden
     */
    get i(): DashboardTileSummaryDescriptionCollection_internal;
    protected onImplementationCreated(): void;
    protected _contentChildrenManager: ContentChildrenManager;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Gets or sets whether this collection should detach the sync when the target collection changes.
    */
    get shouldDetachOnTargetChange(): boolean;
    set shouldDetachOnTargetChange(v: boolean);
    findByName(name: string): any;
    add(item: IgrDashboardTileSummaryDescription): boolean;
    insert(index: number, item: IgrDashboardTileSummaryDescription): void;
    clear(): void;
    indexOf(item: IgrDashboardTileSummaryDescription): number;
    remove(item: IgrDashboardTileSummaryDescription): boolean;
    removeAt(index: number): IgrDashboardTileSummaryDescription;
}
